Bug 613398 - Powertop shows high number of wakeups-from-idle per second on Fujitsu-Siemens AMILO Notebook Sa 3650
Powertop shows high number of wakeups-from-idle per second on Fujitsu-Siemens...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 05:43 EDT by Peter Eriksen
Modified: 2011-06-29 09:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:42:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmidecode (10.01 KB, text/plain)
2010-07-11 05:45 EDT, Peter Eriksen
no flags Details
powertop -d in runlevel 1 (2.47 KB, text/plain)
2010-07-11 05:46 EDT, Peter Eriksen
no flags Details
powertop -d in runlevel 3 (3.35 KB, text/plain)
2010-07-11 05:46 EDT, Peter Eriksen
no flags Details
powertop -d in runlevel 5 (4.72 KB, text/plain)
2010-07-11 05:47 EDT, Peter Eriksen
no flags Details
Output from dmesg (44.77 KB, text/plain)
2010-07-11 05:50 EDT, Peter Eriksen
no flags Details

  None (edit)
Description Peter Eriksen 2010-07-11 05:43:08 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.4) Gecko/20100622 Fedora/3.6.4-1.fc13 Firefox/3.6.4

Powertop shows 126-180 wakeups-from-idle per second when the laptop is idling without any load.

Reproducible: Always

Steps to Reproduce:
1. Boot F13 from disk (installed from LiveCD)
2. Log in as normal user at runlevel 5
3. Run "su -c 'powertop -d'" in a terminal
Actual Results:  
FROM RUNLEVEL 5 POWERTOP SHOWS THIS:

Wakeups-from-idle per second : 126.0	interval: 15.0s
Power usage (ACPI estimate): 29.5W (1.6 hours) 
Top causes for wakeups:
  34.2% ( 71.3)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer) 
  18.1% ( 37.7)      <kernel IPI> : Rescheduling interrupts 
  13.9% ( 28.9)     <kernel core> : hrtimer_start (tick_sched_timer) 
  10.0% ( 20.9)       <interrupt> : ehci_hcd:usb1, ath9k 
   4.8% ( 10.0)     <kernel core> : __mod_timer (r600_audio_update_hdmi) 
   4.8% ( 10.0)     <kernel core> : __mod_timer (ath_ani_calibrate) 

Expected Results:  
I expect a much lower number of wakeups-from-idle.

FROM RUNLEVEL 1 POWERTOP SHOWS THIS:

Wakeups-from-idle per second : 29.5	interval: 15.0s
Power usage (ACPI estimate): 29.0W (1.8 hours) 
Top causes for wakeups:
  43.0% ( 17.7)     <kernel core> : hrtimer_start (tick_sched_timer) 
  24.2% ( 10.0)     <kernel core> : __mod_timer (r600_audio_update_hdmi) 
  12.1% (  5.0)     <kernel core> : __mod_timer (cursor_timer_handler) 
   7.4% (  3.1)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer) 
   4.8% (  2.0)       <interrupt> : acpi


FROM RUNLEVEL 3 POWERTOP SHOWS THIS:

Wakeups-from-idle per second : 68.9	interval: 15.0s
Power usage (ACPI estimate): 30.2W (1.6 hours) 
Top causes for wakeups:
  31.4% ( 32.3)     <kernel core> : hrtimer_start (tick_sched_timer) 
  19.0% ( 19.6)       <interrupt> : ehci_hcd:usb1, ath9k 
   9.7% ( 10.0)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer) 
   9.6% (  9.9)     <kernel core> : __mod_timer (r600_audio_update_hdmi) 
   9.6% (  9.9)     <kernel core> : __mod_timer (ath_ani_calibrate) 
   4.8% (  4.9)     <kernel core> : __mod_timer (cursor_timer_handler) 
   4.1% (  4.2)              phy0 : queue_delayed_work (delayed_work_timer_fn) 
   2.6% (  2.7)      <kernel IPI> : Rescheduling interrupts
Comment 1 Peter Eriksen 2010-07-11 05:45:15 EDT
Created attachment 430975 [details]
Output from dmidecode
Comment 2 Peter Eriksen 2010-07-11 05:46:10 EDT
Created attachment 430976 [details]
powertop -d in runlevel 1
Comment 3 Peter Eriksen 2010-07-11 05:46:35 EDT
Created attachment 430977 [details]
powertop -d in runlevel 3
Comment 4 Peter Eriksen 2010-07-11 05:47:17 EDT
Created attachment 430978 [details]
powertop -d in runlevel 5
Comment 5 Peter Eriksen 2010-07-11 05:50:50 EDT
Created attachment 430979 [details]
Output from dmesg
Comment 6 Bug Zapper 2011-06-01 10:13:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-29 09:42:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.